BeaconStreams (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.streams

## Class BeaconStreams

- java.lang.Object
- - com.ibm.streamsx.topology.streams.BeaconStreams

-     public class BeaconStreams
      extends java.lang.Object

  Utilities for beacon streams.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BeaconStreams.BeaconFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeaconStreams()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TStream<BeaconTuple>` | `beacon(TopologyElement te, long count)` Creates a source stream of `count` tuples with no delay between each tuple.
    `static TStream<BeaconTuple>` | `beacon(TopologyElement te)` Creates an infinite source stream of tuples with no delay between each tuple.
    `static TStream<java.lang.Long>` | `longBeacon(TopologyElement te, long count)` Creates a source stream of `count` tuples with no delay between each tuple.
    `static TStream<java.lang.Long>` | `longBeacon(TopologyElement te)` Creates an infinite source stream of `count` tuples with no delay between each tuple.
    `static TStream<java.lang.Long>` | `single(TopologyElement te)` Produce a source stream declaring a single tuple, with the value 0.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeaconStreams

          public BeaconStreams()

  - ### Method Detail

    - #### beacon

          public static TStream<BeaconTuple> beacon(TopologyElement te)

      Creates an infinite source stream of tuples with no delay between each tuple. The first tuple has the `sequence` of zero, each subsequent tuple has a sequence one higher than the previous tuple. The `time` of each tuple is the time the tuple (object) was created.
      Parameters:
        `te` - Topology element representing the topology the source stream will be contained in.
      Returns:
        A stream that will contain `BeaconTuple` instances.

    - #### beacon

          public static TStream<BeaconTuple> beacon(TopologyElement te,
                                                    long count)

      Creates a source stream of `count` tuples with no delay between each tuple.
      Parameters:
        `te` - Topology element representing the topology the source stream will be contained in.
      Returns:
        A stream that will contain `count` `BeaconTuple` instances.

    - #### longBeacon

          public static TStream<java.lang.Long> longBeacon(TopologyElement te)

      Creates an infinite source stream of `count` tuples with no delay between each tuple. The first tuple has the value zero, each subsequent tuple has a value one higher than the previous tuple.
      Parameters:
        `te` - Topology element representing the topology the source stream will be contained in.
      Returns:
        A stream that will contain tuples of monotonically increasing `Long` tuples.

    - #### longBeacon

          public static TStream<java.lang.Long> longBeacon(TopologyElement te,
                                                           long count)

      Creates a source stream of `count` tuples with no delay between each tuple. The first tuple has the value zero, each subsequent tuple has a value one higher than the previous tuple.
      Parameters:
        `te` - Topology element representing the topology the source stream will be contained in.
        `count` - Number of tuples on the stream.
      Returns:
        A stream that will contain `count` tuples.

    - #### single

          public static TStream<java.lang.Long> single(TopologyElement te)

      Produce a source stream declaring a single tuple, with the value 0.
      Parameters:
        `te` - Topology element representing the topology the source stream will be contained in.
      Returns:
        A stream that will contain a single tuple.